CVS update of pacman-lib (3 files)

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

CVS update of pacman-lib (3 files)

Dan McGee-2
    Date: Monday, February 12, 2007 @ 10:39:29
  Author: dan
    Path: /home/cvs-pacman/pacman-lib

Modified: lib/libalpm/po/libalpm.pot (1.3 -> 1.4)
          src/pacman/package.c (1.28 -> 1.29)
          src/pacman/po/pacman.pot (1.3 -> 1.4)

* Fixed an i18n bug; length of description string was hardcoded previously;
  now uses an strlen call.
* Updates of the *.pot files.


----------------------------+
 lib/libalpm/po/libalpm.pot |  460 ++++++++++++++++++++++---------------------
 src/pacman/package.c       |   18 +
 src/pacman/po/pacman.pot   |  345 ++++++++++++++++----------------
 3 files changed, 435 insertions(+), 388 deletions(-)


Index: pacman-lib/lib/libalpm/po/libalpm.pot
diff -u pacman-lib/lib/libalpm/po/libalpm.pot:1.3 pacman-lib/lib/libalpm/po/libalpm.pot:1.4
--- pacman-lib/lib/libalpm/po/libalpm.pot:1.3 Tue Feb  6 21:22:53 2007
+++ pacman-lib/lib/libalpm/po/libalpm.pot Mon Feb 12 10:39:29 2007
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
 "Report-Msgid-Bugs-To: [hidden email]\n"
-"POT-Creation-Date: 2007-02-06 20:43-0500\n"
+"POT-Creation-Date: 2007-02-12 10:35-0500\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <[hidden email]>\n"
@@ -45,7 +45,7 @@
 msgid "looking for unsatisfied dependencies"
 msgstr ""
 
-#: lib/libalpm/add.c:256 lib/libalpm/sync.c:476
+#: lib/libalpm/add.c:256 lib/libalpm/sync.c:475
 msgid "looking for conflicts"
 msgstr ""
 
@@ -61,222 +61,222 @@
 msgid "looking for file conflicts"
 msgstr ""
 
-#: lib/libalpm/add.c:391
+#: lib/libalpm/add.c:394
 #, c-format
 msgid "upgrading package %s-%s"
 msgstr ""
 
-#: lib/libalpm/add.c:401 lib/libalpm/conflict.c:288 lib/libalpm/conflict.c:318
+#: lib/libalpm/add.c:404 lib/libalpm/conflict.c:288 lib/libalpm/conflict.c:318
 #, c-format
 msgid "loading FILES info for '%s'"
 msgstr ""
 
-#: lib/libalpm/add.c:423
+#: lib/libalpm/add.c:426
 #, c-format
 msgid "removing old package first (%s-%s)"
 msgstr ""
 
-#: lib/libalpm/add.c:453
+#: lib/libalpm/add.c:456
 #, c-format
 msgid "adding package %s-%s"
 msgstr ""
 
-#: lib/libalpm/add.c:464
+#: lib/libalpm/add.c:467
 #, c-format
 msgid "adding new package %s-%s"
 msgstr ""
 
-#: lib/libalpm/add.c:468
+#: lib/libalpm/add.c:471
 msgid "extracting files"
 msgstr ""
 
-#: lib/libalpm/add.c:483 lib/libalpm/util.c:461
+#: lib/libalpm/add.c:487 lib/libalpm/util.c:461
 msgid "could not get current working directory"
 msgstr ""
 
-#: lib/libalpm/add.c:529
+#: lib/libalpm/add.c:545
 #, c-format
 msgid "notice: %s is in NoExtract -- skipping extraction"
 msgstr ""
 
-#: lib/libalpm/add.c:565 lib/libalpm/add.c:718
+#: lib/libalpm/add.c:581 lib/libalpm/add.c:734
 #, c-format
 msgid "could not extract %s (%s)"
 msgstr ""
 
-#: lib/libalpm/add.c:608
+#: lib/libalpm/add.c:624
 #, c-format
 msgid "checking md5 hashes for %s"
 msgstr ""
 
-#: lib/libalpm/add.c:609 lib/libalpm/add.c:616
+#: lib/libalpm/add.c:625 lib/libalpm/add.c:632
 #, c-format
 msgid "current:  %s"
 msgstr ""
 
-#: lib/libalpm/add.c:610 lib/libalpm/add.c:617
+#: lib/libalpm/add.c:626 lib/libalpm/add.c:633
 #, c-format
 msgid "new:      %s"
 msgstr ""
 
-#: lib/libalpm/add.c:612 lib/libalpm/add.c:619
+#: lib/libalpm/add.c:628 lib/libalpm/add.c:635
 #, c-format
 msgid "original: %s"
 msgstr ""
 
-#: lib/libalpm/add.c:615
+#: lib/libalpm/add.c:631
 #, c-format
 msgid "checking sha1 hashes for %s"
 msgstr ""
 
-#: lib/libalpm/add.c:633
+#: lib/libalpm/add.c:649
 #, c-format
 msgid "could not rename %s (%s)"
 msgstr ""
 
-#: lib/libalpm/add.c:634
+#: lib/libalpm/add.c:650
 #, c-format
 msgid "error: could not rename %s (%s)"
 msgstr ""
 
-#: lib/libalpm/add.c:638 lib/libalpm/add.c:682
+#: lib/libalpm/add.c:654 lib/libalpm/add.c:698
 #, c-format
 msgid "could not copy %s to %s (%s)"
 msgstr ""
 
-#: lib/libalpm/add.c:639
+#: lib/libalpm/add.c:655
 #, c-format
 msgid "error: could not copy %s to %s (%s)"
 msgstr ""
 
-#: lib/libalpm/add.c:643
+#: lib/libalpm/add.c:659
 #, c-format
 msgid "%s saved as %s.pacorig"
 msgstr ""
 
-#: lib/libalpm/add.c:644
+#: lib/libalpm/add.c:660
 #, c-format
 msgid "warning: %s saved as %s"
 msgstr ""
 
-#: lib/libalpm/add.c:654 lib/libalpm/add.c:657 lib/libalpm/add.c:663
+#: lib/libalpm/add.c:670 lib/libalpm/add.c:673 lib/libalpm/add.c:679
 msgid "action: installing new file"
 msgstr ""
 
-#: lib/libalpm/add.c:661
+#: lib/libalpm/add.c:677
 msgid "action: leaving existing file in place"
 msgstr ""
 
-#: lib/libalpm/add.c:667
+#: lib/libalpm/add.c:683
 msgid "action: keeping current file and installing new one with .pacnew ending"
 msgstr ""
 
-#: lib/libalpm/add.c:671
+#: lib/libalpm/add.c:687
 #, c-format
 msgid "could not install %s as %s: %s"
 msgstr ""
 
-#: lib/libalpm/add.c:672
+#: lib/libalpm/add.c:688
 #, c-format
 msgid "error: could not install %s as %s: %s"
 msgstr ""
 
-#: lib/libalpm/add.c:674
+#: lib/libalpm/add.c:690
 #, c-format
 msgid "%s installed as %s"
 msgstr ""
 
-#: lib/libalpm/add.c:675
+#: lib/libalpm/add.c:691
 #, c-format
 msgid "warning: %s installed as %s"
 msgstr ""
 
-#: lib/libalpm/add.c:680 lib/libalpm/add.c:700
+#: lib/libalpm/add.c:696 lib/libalpm/add.c:716
 #, c-format
 msgid "extracting %s"
 msgstr ""
 
-#: lib/libalpm/add.c:702
+#: lib/libalpm/add.c:718
 #, c-format
 msgid "%s is in NoUpgrade -- skipping"
 msgstr ""
 
-#: lib/libalpm/add.c:704
+#: lib/libalpm/add.c:720
 #, c-format
 msgid "extracting %s as %s.pacnew"
 msgstr ""
 
-#: lib/libalpm/add.c:705
+#: lib/libalpm/add.c:721
 #, c-format
 msgid "warning: extracting %s%s as %s"
 msgstr ""
 
-#: lib/libalpm/add.c:719
+#: lib/libalpm/add.c:735
 #, c-format
 msgid "error: could not extract %s (%s)"
 msgstr ""
 
-#: lib/libalpm/add.c:729
+#: lib/libalpm/add.c:745
 msgid "appending backup entry"
 msgstr ""
 
-#: lib/libalpm/add.c:760 lib/libalpm/add.c:762
+#: lib/libalpm/add.c:776 lib/libalpm/add.c:778
 #, c-format
 msgid "errors occurred while %s %s"
 msgstr ""
 
-#: lib/libalpm/add.c:761 lib/libalpm/add.c:763
+#: lib/libalpm/add.c:777 lib/libalpm/add.c:779
 msgid "upgrading"
 msgstr ""
 
-#: lib/libalpm/add.c:761 lib/libalpm/add.c:763
+#: lib/libalpm/add.c:777 lib/libalpm/add.c:779
 msgid "installing"
 msgstr ""
 
-#: lib/libalpm/add.c:784 lib/libalpm/add.c:840
+#: lib/libalpm/add.c:800 lib/libalpm/add.c:856
 #, c-format
 msgid "adding '%s' in requiredby field for '%s'"
 msgstr ""
 
-#: lib/libalpm/add.c:795 lib/libalpm/remove.c:293
+#: lib/libalpm/add.c:811 lib/libalpm/remove.c:334
 msgid "updating database"
 msgstr ""
 
-#: lib/libalpm/add.c:796
+#: lib/libalpm/add.c:812
 #, c-format
 msgid "adding database entry '%s'"
 msgstr ""
 
-#: lib/libalpm/add.c:798
+#: lib/libalpm/add.c:814
 #, c-format
 msgid "could not update database entry %s-%s"
 msgstr ""
 
-#: lib/libalpm/add.c:800
+#: lib/libalpm/add.c:816
 #, c-format
 msgid "error updating database for %s-%s!"
 msgstr ""
 
-#: lib/libalpm/add.c:804
+#: lib/libalpm/add.c:820
 #, c-format
 msgid "could not add entry '%s' in cache"
 msgstr ""
 
-#: lib/libalpm/add.c:810 lib/libalpm/remove.c:303
+#: lib/libalpm/add.c:826 lib/libalpm/remove.c:344
 msgid "updating dependency packages 'requiredby' fields"
 msgstr ""
 
-#: lib/libalpm/add.c:832
+#: lib/libalpm/add.c:848
 #, c-format
 msgid "could not find dependency '%s'"
 msgstr ""
 
-#: lib/libalpm/add.c:843 lib/libalpm/remove.c:345
+#: lib/libalpm/add.c:859 lib/libalpm/remove.c:386
 #, c-format
 msgid "could not update 'requiredby' database entry %s-%s"
 msgstr ""
 
-#: lib/libalpm/add.c:870 lib/libalpm/remove.c:358 lib/libalpm/sync.c:1046
+#: lib/libalpm/add.c:885 lib/libalpm/remove.c:399 lib/libalpm/sync.c:1045
 #, c-format
 msgid "running \"ldconfig -r %s\""
 msgstr ""
@@ -362,185 +362,170 @@
 msgid "md5sums do not match for package %s-%s"
 msgstr ""
 
-#: lib/libalpm/alpm.c:791
+#: lib/libalpm/alpm.c:790
 #, c-format
 msgid "could not remove lock file %s"
 msgstr ""
 
-#: lib/libalpm/alpm.c:792
+#: lib/libalpm/alpm.c:791
 #, c-format
 msgid "warning: could not remove lock file %s"
 msgstr ""
 
-#: lib/libalpm/alpm.c:929
+#: lib/libalpm/alpm.c:926
 #, c-format
 msgid "config: new section '%s'"
 msgstr ""
 
-#: lib/libalpm/alpm.c:958
+#: lib/libalpm/alpm.c:955
 msgid "config: nopassiveftp"
 msgstr ""
 
-#: lib/libalpm/alpm.c:961
+#: lib/libalpm/alpm.c:958
 msgid "config: usesyslog"
 msgstr ""
 
-#: lib/libalpm/alpm.c:964
+#: lib/libalpm/alpm.c:961
 msgid "config: chomp"
 msgstr ""
 
-#: lib/libalpm/alpm.c:967
+#: lib/libalpm/alpm.c:964
 msgid "config: usecolor"
 msgstr ""
 
-#: lib/libalpm/alpm.c:976
+#: lib/libalpm/alpm.c:973
 #, c-format
 msgid "config: including %s"
 msgstr ""
 
-#: lib/libalpm/alpm.c:986 lib/libalpm/alpm.c:991
+#: lib/libalpm/alpm.c:983 lib/libalpm/alpm.c:988
 #, c-format
 msgid "config: noupgrade: %s"
 msgstr ""
 
-#: lib/libalpm/alpm.c:999 lib/libalpm/alpm.c:1004
+#: lib/libalpm/alpm.c:996 lib/libalpm/alpm.c:1001
 #, c-format
 msgid "config: noextract: %s"
 msgstr ""
 
-#: lib/libalpm/alpm.c:1012 lib/libalpm/alpm.c:1017
+#: lib/libalpm/alpm.c:1009 lib/libalpm/alpm.c:1014
 #, c-format
 msgid "config: ignorepkg: %s"
 msgstr ""
 
-#: lib/libalpm/alpm.c:1025 lib/libalpm/alpm.c:1030
+#: lib/libalpm/alpm.c:1022 lib/libalpm/alpm.c:1027
 #, c-format
 msgid "config: holdpkg: %s"
 msgstr ""
 
-#: lib/libalpm/alpm.c:1037
+#: lib/libalpm/alpm.c:1034
 #, c-format
 msgid "config: dbpath: %s"
 msgstr ""
 
-#: lib/libalpm/alpm.c:1044
+#: lib/libalpm/alpm.c:1041
 #, c-format
 msgid "config: cachedir: %s"
 msgstr ""
 
-#: lib/libalpm/alpm.c:1047
+#: lib/libalpm/alpm.c:1044
 #, c-format
 msgid "config: logfile: %s"
 msgstr ""
 
-#: lib/libalpm/alpm.c:1050
+#: lib/libalpm/alpm.c:1047
 #, c-format
 msgid "config: xfercommand: %s"
 msgstr ""
 
-#: lib/libalpm/alpm.c:1055
+#: lib/libalpm/alpm.c:1052
 #, c-format
 msgid "config: upgradedelay: %d"
 msgstr ""
 
-#: lib/libalpm/alpm.c:1094 lib/libalpm/sync.c:129 lib/libalpm/sync.c:197
+#: lib/libalpm/alpm.c:1091 lib/libalpm/sync.c:129 lib/libalpm/sync.c:197
 msgid "checking for package replacements"
 msgstr ""
 
-#: lib/libalpm/alpm.c:1103 lib/libalpm/sync.c:138
+#: lib/libalpm/alpm.c:1100 lib/libalpm/sync.c:138
 #, c-format
 msgid "checking replacement '%s' for package '%s'"
 msgstr ""
 
-#: lib/libalpm/alpm.c:1105 lib/libalpm/sync.c:140
+#: lib/libalpm/alpm.c:1102 lib/libalpm/sync.c:140
 #, c-format
 msgid "%s-%s: ignoring package upgrade (to be replaced by %s-%s)"
 msgstr ""
 
-#: lib/libalpm/alpm.c:1139 lib/libalpm/sync.c:174
+#: lib/libalpm/alpm.c:1136 lib/libalpm/sync.c:174
 #, c-format
 msgid "%s-%s elected for upgrade (to be replaced by %s-%s)"
 msgstr ""
 
-#: lib/libalpm/alpm.c:1161 lib/libalpm/sync.c:212
+#: lib/libalpm/alpm.c:1157 lib/libalpm/sync.c:211
 #, c-format
 msgid "'%s' not found in sync db -- skipping"
 msgstr ""
 
-#: lib/libalpm/alpm.c:1175 lib/libalpm/sync.c:226 lib/libalpm/sync.c:502
+#: lib/libalpm/alpm.c:1171 lib/libalpm/sync.c:225 lib/libalpm/sync.c:501
 #, c-format
 msgid "'%s' is already elected for removal -- skipping"
 msgstr ""
 
-#: lib/libalpm/alpm.c:1185 lib/libalpm/package.c:144
-#, c-format
-msgid "%s: local (%s) is newer than %s (%s)"
-msgstr ""
-
-#: lib/libalpm/alpm.c:1191 lib/libalpm/package.c:149
-#, c-format
-msgid "%s-%s: ignoring package upgrade (%s)"
-msgstr ""
-
-#: lib/libalpm/alpm.c:1195 lib/libalpm/package.c:154
-#, c-format
-msgid "%s-%s: delaying upgrade of package (%s)"
-msgstr ""
-
-#: lib/libalpm/alpm.c:1199 lib/libalpm/sync.c:233
+#: lib/libalpm/alpm.c:1177 lib/libalpm/sync.c:232
 #, c-format
 msgid "%s-%s elected for upgrade (%s => %s)"
 msgstr ""
 
-#: lib/libalpm/be_files.c:59
+#: lib/libalpm/be_files.c:58
 #, c-format
 msgid "unpacking database '%s'"
 msgstr ""
 
-#: lib/libalpm/be_files.c:183
+#: lib/libalpm/be_files.c:182
 #, c-format
 msgid "invalid name for dabatase entry '%s'"
 msgstr ""
 
-#: lib/libalpm/be_files.c:211
+#: lib/libalpm/be_files.c:210
 msgid "invalid package entry provided to _alpm_db_read, skipping"
 msgstr ""
 
-#: lib/libalpm/be_files.c:216
+#: lib/libalpm/be_files.c:215
 #, c-format
 msgid ""
 "request to read database info for a file-based package '%s', skipping..."
 msgstr ""
 
-#: lib/libalpm/be_files.c:224
+#: lib/libalpm/be_files.c:223
 #, c-format
 msgid "loading package data for %s : level=%d"
 msgstr ""
 
-#: lib/libalpm/be_files.c:232
+#: lib/libalpm/be_files.c:231
 #, c-format
 msgid "cannot find '%s-%s' in db '%s'"
 msgstr ""
 
-#: lib/libalpm/be_files.c:240 lib/libalpm/be_files.c:384
-#: lib/libalpm/be_files.c:407 lib/libalpm/be_files.c:495
-#: lib/libalpm/be_files.c:581 lib/libalpm/be_files.c:608
-#: lib/libalpm/package.c:185
+#: lib/libalpm/be_files.c:239 lib/libalpm/be_files.c:383
+#: lib/libalpm/be_files.c:406 lib/libalpm/be_files.c:494
+#: lib/libalpm/be_files.c:580 lib/libalpm/be_files.c:607
+#: lib/libalpm/package.c:194
 #, c-format
 msgid "could not open file %s: %s"
 msgstr ""
 
-#: lib/libalpm/be_files.c:492
+#: lib/libalpm/be_files.c:491
 #, c-format
 msgid "writing %s-%s DESC information back to db"
 msgstr ""
 
-#: lib/libalpm/be_files.c:578
+#: lib/libalpm/be_files.c:577
 #, c-format
 msgid "writing %s-%s FILES information back to db"
 msgstr ""
 
-#: lib/libalpm/be_files.c:605
+#: lib/libalpm/be_files.c:604
 #, c-format
 msgid "writing %s-%s DEPENDS information back to db"
 msgstr ""
@@ -607,8 +592,8 @@
 
 #: lib/libalpm/conflict.c:250 lib/libalpm/conflict.c:350 lib/libalpm/deps.c:57
 #: lib/libalpm/deps.c:593 lib/libalpm/deps.c:633 lib/libalpm/group.c:43
-#: lib/libalpm/handle.c:49 lib/libalpm/package.c:74 lib/libalpm/sync.c:65
-#: lib/libalpm/sync.c:607 lib/libalpm/sync.c:623 lib/libalpm/sync.c:719
+#: lib/libalpm/handle.c:49 lib/libalpm/package.c:78 lib/libalpm/sync.c:65
+#: lib/libalpm/sync.c:606 lib/libalpm/sync.c:622 lib/libalpm/sync.c:718
 #: lib/libalpm/trans.c:49 lib/libalpm/util.c:599 lib/libalpm/util.c:606
 #, c-format
 msgid "malloc failure: could not allocate %d bytes"
@@ -755,11 +740,11 @@
 msgstr ""
 
 #: lib/libalpm/error.c:40
-msgid "wrong or NULL argument passed"
+msgid "could not find or read file"
 msgstr ""
 
 #: lib/libalpm/error.c:42
-msgid "could not find or read file"
+msgid "wrong or NULL argument passed"
 msgstr ""
 
 #: lib/libalpm/error.c:45
@@ -802,135 +787,147 @@
 msgid "could not remove database entry"
 msgstr ""
 
-#: lib/libalpm/error.c:71
-msgid "could not set parameter"
+#: lib/libalpm/error.c:67
+msgid "invalid url for server"
 msgstr ""
 
-#: lib/libalpm/error.c:74 lib/libalpm/error.c:80
-msgid "transaction not initialized"
+#: lib/libalpm/error.c:74
+msgid "could not set parameter"
 msgstr ""
 
-#: lib/libalpm/error.c:76
+#: lib/libalpm/error.c:77
 msgid "transaction already initialized"
 msgstr ""
 
-#: lib/libalpm/error.c:78
+#: lib/libalpm/error.c:79 lib/libalpm/error.c:83
+msgid "transaction not initialized"
+msgstr ""
+
+#: lib/libalpm/error.c:81
 msgid "duplicate target"
 msgstr ""
 
-#: lib/libalpm/error.c:82
+#: lib/libalpm/error.c:85
 msgid "transaction not prepared"
 msgstr ""
 
-#: lib/libalpm/error.c:84
+#: lib/libalpm/error.c:87
 msgid "transaction aborted"
 msgstr ""
 
-#: lib/libalpm/error.c:86
+#: lib/libalpm/error.c:89
 msgid "operation not compatible with the transaction type"
 msgstr ""
 
-#: lib/libalpm/error.c:89
+#: lib/libalpm/error.c:91 lib/libalpm/sync.c:984
+msgid "could not commit transaction"
+msgstr ""
+
+#: lib/libalpm/error.c:93
+msgid "could not download all files"
+msgstr ""
+
+#: lib/libalpm/error.c:96
 msgid "could not find or read package"
 msgstr ""
 
-#: lib/libalpm/error.c:91
+#: lib/libalpm/error.c:98
 msgid "invalid or corrupted package"
 msgstr ""
 
-#: lib/libalpm/error.c:93
+#: lib/libalpm/error.c:100
 msgid "cannot open package file"
 msgstr ""
 
-#: lib/libalpm/error.c:95
+#: lib/libalpm/error.c:102
 msgid "cannot load package data"
 msgstr ""
 
-#: lib/libalpm/error.c:97
+#: lib/libalpm/error.c:104
 msgid "package already installed"
 msgstr ""
 
-#: lib/libalpm/error.c:99
+#: lib/libalpm/error.c:106
 msgid "package not installed or lesser version"
 msgstr ""
 
-#: lib/libalpm/error.c:101
+#: lib/libalpm/error.c:108
+msgid "cannot remove all files for package"
+msgstr ""
+
+#: lib/libalpm/error.c:110
 msgid "package name is not valid"
 msgstr ""
 
-#: lib/libalpm/error.c:103
+#: lib/libalpm/error.c:112
 msgid "corrupted package"
 msgstr ""
 
-#: lib/libalpm/error.c:105
+#: lib/libalpm/error.c:114
 msgid "no such repository"
 msgstr ""
 
-#: lib/libalpm/error.c:108
+#: lib/libalpm/error.c:117
 msgid "group not found"
 msgstr ""
 
-#: lib/libalpm/error.c:111
+#: lib/libalpm/error.c:120
 msgid "could not satisfy dependencies"
 msgstr ""
 
-#: lib/libalpm/error.c:113
+#: lib/libalpm/error.c:122
 msgid "conflicting dependencies"
 msgstr ""
 
-#: lib/libalpm/error.c:115
+#: lib/libalpm/error.c:124
 msgid "conflicting files"
 msgstr ""
 
-#: lib/libalpm/error.c:118
-msgid "user aborted"
+#: lib/libalpm/error.c:127
+msgid "user aborted the operation"
 msgstr ""
 
-#: lib/libalpm/error.c:120
-msgid "libarchive error"
+#: lib/libalpm/error.c:129
+msgid "internal error"
 msgstr ""
 
-#: lib/libalpm/error.c:122
-msgid "internal error"
+#: lib/libalpm/error.c:131
+msgid "libarchive error"
 msgstr ""
 
-#: lib/libalpm/error.c:124
-msgid "not enough space"
+#: lib/libalpm/error.c:133
+msgid "not enough space on disk"
 msgstr ""
 
-#: lib/libalpm/error.c:126
+#: lib/libalpm/error.c:136
 msgid "not confirmed"
 msgstr ""
 
-#: lib/libalpm/error.c:129
-msgid "bad section name"
+#: lib/libalpm/error.c:139
+msgid "bad configuration section name"
 msgstr ""
 
-#: lib/libalpm/error.c:131
-msgid "'local' is reserved and cannot be used as a package tree"
+#: lib/libalpm/error.c:141
+msgid "'local' is reserved and cannot be used as a repository name"
 msgstr ""
 
-#: lib/libalpm/error.c:133
-msgid "syntax error"
+#: lib/libalpm/error.c:143
+msgid "syntax error in config file"
 msgstr ""
 
-#: lib/libalpm/error.c:135
+#: lib/libalpm/error.c:145
 msgid "all directives must belong to a section"
 msgstr ""
 
-#: lib/libalpm/error.c:137
+#: lib/libalpm/error.c:147
 msgid "invalid regular expression"
 msgstr ""
 
-#: lib/libalpm/error.c:139
+#: lib/libalpm/error.c:150
 msgid "connection to remote host failed"
 msgstr ""
 
-#: lib/libalpm/error.c:141
-msgid "forking process failed"
-msgstr ""
-
-#: lib/libalpm/error.c:143
+#: lib/libalpm/error.c:153
 msgid "unexpected error"
 msgstr ""
 
@@ -939,40 +936,65 @@
 msgid "%s can't be opened\n"
 msgstr ""
 
-#: lib/libalpm/package.c:202 lib/libalpm/package.c:262
+#: lib/libalpm/package.c:146
+#, c-format
+msgid "%s: forcing upgrade to version %s"
+msgstr ""
+
+#: lib/libalpm/package.c:150
+#, c-format
+msgid "%s: local (%s) is newer than %s (%s)"
+msgstr ""
+
+#: lib/libalpm/package.c:155
+#, c-format
+msgid "%s-%s: ignoring package upgrade (%s)"
+msgstr ""
+
+#: lib/libalpm/package.c:160
+#, c-format
+msgid "%s-%s: delaying upgrade of package (%s)"
+msgstr ""
+
+#: lib/libalpm/package.c:165
+#, c-format
+msgid "compare versions for %s: %s vs %s, result=%d"
+msgstr ""
+
+#: lib/libalpm/package.c:208 lib/libalpm/package.c:263
 #, c-format
 msgid "%s: syntax error in description file line %d"
 msgstr ""
 
-#: lib/libalpm/package.c:331
+#: lib/libalpm/package.c:337
 msgid "could not parse the package description file"
 msgstr ""
 
-#: lib/libalpm/package.c:335
+#: lib/libalpm/package.c:341
 #, c-format
 msgid "missing package name in %s"
 msgstr ""
 
-#: lib/libalpm/package.c:339
+#: lib/libalpm/package.c:345
 #, c-format
 msgid "missing package version in %s"
 msgstr ""
 
-#: lib/libalpm/package.c:374
+#: lib/libalpm/package.c:380
 #, c-format
 msgid "could not remove tempfile %s"
 msgstr ""
 
-#: lib/libalpm/package.c:387 lib/libalpm/package.c:394
+#: lib/libalpm/package.c:393 lib/libalpm/package.c:400
 #, c-format
 msgid "error while reading package: %s"
 msgstr ""
 
-#: lib/libalpm/package.c:400
+#: lib/libalpm/package.c:406
 msgid "missing package metadata"
 msgstr ""
 
-#: lib/libalpm/package.c:407
+#: lib/libalpm/package.c:413
 #, c-format
 msgid "missing package filelist in %s, generating one"
 msgstr ""
@@ -1001,71 +1023,81 @@
 msgid "finding removable dependencies"
 msgstr ""
 
-#: lib/libalpm/remove.c:193
+#: lib/libalpm/remove.c:186
+#, c-format
+msgid "cannot remove file '%s': %s"
+msgstr ""
+
+#: lib/libalpm/remove.c:226
 #, c-format
 msgid "file %s does not exist"
 msgstr ""
 
-#: lib/libalpm/remove.c:199
+#: lib/libalpm/remove.c:232
 #, c-format
 msgid "keeping directory %s"
 msgstr ""
 
-#: lib/libalpm/remove.c:201
+#: lib/libalpm/remove.c:234
 #, c-format
 msgid "removing directory %s"
 msgstr ""
 
-#: lib/libalpm/remove.c:215
+#: lib/libalpm/remove.c:248
 #, c-format
 msgid "skipping removal of %s as it has moved to another package"
 msgstr ""
 
-#: lib/libalpm/remove.c:227
+#: lib/libalpm/remove.c:260
 #, c-format
 msgid "%s saved as %s"
 msgstr ""
 
-#: lib/libalpm/remove.c:231
+#: lib/libalpm/remove.c:264
 #, c-format
 msgid "unlinking %s"
 msgstr ""
 
-#: lib/libalpm/remove.c:237
+#: lib/libalpm/remove.c:271
 #, c-format
 msgid "cannot remove file %s: %s"
 msgstr ""
 
-#: lib/libalpm/remove.c:265
+#: lib/libalpm/remove.c:299
 #, c-format
 msgid "removing package %s-%s"
 msgstr ""
 
-#: lib/libalpm/remove.c:276
+#: lib/libalpm/remove.c:311
+#, c-format
+msgid "not removing package '%s', can't remove all files"
+msgstr ""
+
+#: lib/libalpm/remove.c:317
 msgid "removing files"
 msgstr ""
 
-#: lib/libalpm/remove.c:294
+#: lib/libalpm/remove.c:335
 #, c-format
 msgid "removing database entry '%s'"
 msgstr ""
 
-#: lib/libalpm/remove.c:296
+#: lib/libalpm/remove.c:337
 #, c-format
 msgid "could not remove database entry %s-%s"
 msgstr ""
 
-#: lib/libalpm/remove.c:299
+#: lib/libalpm/remove.c:340
 #, c-format
 msgid "could not remove entry '%s' from cache"
 msgstr ""
 
-#: lib/libalpm/remove.c:333
+#: lib/libalpm/remove.c:374
 #, c-format
 msgid "could not find dependency '%s' for removal"
 msgstr ""
 
-#: lib/libalpm/remove.c:343
+#: lib/libalpm/remove.c:384
 #, c-format
 msgid "updating 'requiredby' field for package '%s'"
 msgstr ""
@@ -1074,194 +1106,190 @@
 msgid "checking for package upgrades"
 msgstr ""
 
-#: lib/libalpm/sync.c:278
+#: lib/libalpm/sync.c:277
 #, c-format
 msgid "searching for target in repo '%s'"
 msgstr ""
 
-#: lib/libalpm/sync.c:287 lib/libalpm/sync.c:310
+#: lib/libalpm/sync.c:286 lib/libalpm/sync.c:309
 #, c-format
 msgid "target '%s' not found -- looking for provisions"
 msgstr ""
 
-#: lib/libalpm/sync.c:292 lib/libalpm/sync.c:315
+#: lib/libalpm/sync.c:291 lib/libalpm/sync.c:314
 #, c-format
 msgid "found '%s' as a provision for '%s'"
 msgstr ""
 
-#: lib/libalpm/sync.c:299
+#: lib/libalpm/sync.c:298
 #, c-format
 msgid "repository '%s' not found"
 msgstr ""
 
-#: lib/libalpm/sync.c:333
+#: lib/libalpm/sync.c:332
 #, c-format
 msgid "%s-%s is up to date -- skipping"
 msgstr ""
 
-#: lib/libalpm/sync.c:353
+#: lib/libalpm/sync.c:352
 #, c-format
 msgid "adding target '%s' to the transaction set"
 msgstr ""
 
-#: lib/libalpm/sync.c:401
+#: lib/libalpm/sync.c:400
 msgid "resolving target's dependencies"
 msgstr ""
 
-#: lib/libalpm/sync.c:421
+#: lib/libalpm/sync.c:420
 #, c-format
 msgid "adding package %s-%s to the transaction targets"
 msgstr ""
 
-#: lib/libalpm/sync.c:456
+#: lib/libalpm/sync.c:455
 msgid "looking for unresolvable dependencies"
 msgstr ""
 
-#: lib/libalpm/sync.c:487
+#: lib/libalpm/sync.c:486
 #, c-format
 msgid "package '%s' is conflicting with '%s'"
 msgstr ""
 
-#: lib/libalpm/sync.c:509
+#: lib/libalpm/sync.c:508
 #, c-format
 msgid "'%s' not found in transaction set -- skipping"
 msgstr ""
 
-#: lib/libalpm/sync.c:520
+#: lib/libalpm/sync.c:519
 #, c-format
 msgid "package '%s' provides its own conflict"
 msgstr ""
 
-#: lib/libalpm/sync.c:543 lib/libalpm/sync.c:548
+#: lib/libalpm/sync.c:542 lib/libalpm/sync.c:547
 #, c-format
 msgid "'%s' is in the target list -- keeping it"
 msgstr ""
 
-#: lib/libalpm/sync.c:560 lib/libalpm/sync.c:597
+#: lib/libalpm/sync.c:559 lib/libalpm/sync.c:596
 #, c-format
 msgid "removing '%s' from target list"
 msgstr ""
 
-#: lib/libalpm/sync.c:569
+#: lib/libalpm/sync.c:568
 #, c-format
 msgid "resolving package '%s' conflict"
 msgstr ""
 
-#: lib/libalpm/sync.c:592
+#: lib/libalpm/sync.c:591
 #, c-format
 msgid "electing '%s' for removal"
 msgstr ""
 
-#: lib/libalpm/sync.c:603 lib/libalpm/sync.c:619
+#: lib/libalpm/sync.c:602 lib/libalpm/sync.c:618
 msgid "unresolvable package conflicts detected"
 msgstr ""
 
-#: lib/libalpm/sync.c:671
+#: lib/libalpm/sync.c:670
 msgid "checking dependencies of packages designated for removal"
 msgstr ""
 
-#: lib/libalpm/sync.c:685
+#: lib/libalpm/sync.c:684
 msgid "something has gone horribly wrong"
 msgstr ""
 
-#: lib/libalpm/sync.c:704
+#: lib/libalpm/sync.c:703
 #, c-format
 msgid "found '%s' as a provision for '%s' -- conflict aborted"
 msgstr ""
 
-#: lib/libalpm/sync.c:800
+#: lib/libalpm/sync.c:799
 #, c-format
 msgid "%s is already in the cache\n"
 msgstr ""
 
-#: lib/libalpm/sync.c:811
+#: lib/libalpm/sync.c:810
 #, c-format
 msgid "no %s cache exists.  creating...\n"
 msgstr ""
 
-#: lib/libalpm/sync.c:812
+#: lib/libalpm/sync.c:811
 #, c-format
 msgid "warning: no %s cache exists.  creating..."
 msgstr ""
 
-#: lib/libalpm/sync.c:817
+#: lib/libalpm/sync.c:816
 msgid "couldn't create package cache, using /tmp instead\n"
 msgstr ""
 
-#: lib/libalpm/sync.c:818
+#: lib/libalpm/sync.c:817
 msgid "warning: couldn't create package cache, using /tmp instead"
 msgstr ""
 
-#: lib/libalpm/sync.c:825
+#: lib/libalpm/sync.c:824
 #, c-format
 msgid "failed to retrieve some files from %s\n"
 msgstr ""
 
-#: lib/libalpm/sync.c:854 lib/libalpm/sync.c:866
+#: lib/libalpm/sync.c:853 lib/libalpm/sync.c:865
 #, c-format
 msgid "can't get md5 or sha1 checksum for package %s\n"
 msgstr ""
 
-#: lib/libalpm/sync.c:885
+#: lib/libalpm/sync.c:884
 #, c-format
 msgid "archive %s was corrupted (bad MD5 or SHA1 checksum)\n"
 msgstr ""
 
-#: lib/libalpm/sync.c:887
+#: lib/libalpm/sync.c:886
 #, c-format
 msgid "archive %s is corrupted (bad MD5 or SHA1 checksum)\n"
 msgstr ""
 
-#: lib/libalpm/sync.c:908
+#: lib/libalpm/sync.c:907
 msgid "could not create removal transaction"
 msgstr ""
 
-#: lib/libalpm/sync.c:914
+#: lib/libalpm/sync.c:913
 msgid "could not initialize the removal transaction"
 msgstr ""
 
-#: lib/libalpm/sync.c:934
+#: lib/libalpm/sync.c:933
 msgid "removing conflicting and to-be-replaced packages"
 msgstr ""
 
-#: lib/libalpm/sync.c:936
+#: lib/libalpm/sync.c:935
 msgid "could not prepare removal transaction"
 msgstr ""
 
-#: lib/libalpm/sync.c:942
+#: lib/libalpm/sync.c:941
 msgid "could not commit removal transaction"
 msgstr ""
 
-#: lib/libalpm/sync.c:949
+#: lib/libalpm/sync.c:948
 msgid "installing packages"
 msgstr ""
 
-#: lib/libalpm/sync.c:952
+#: lib/libalpm/sync.c:951
 msgid "could not create transaction"
 msgstr ""
 
-#: lib/libalpm/sync.c:957
+#: lib/libalpm/sync.c:956
 msgid "could not initialize transaction"
 msgstr ""
 
-#: lib/libalpm/sync.c:980
+#: lib/libalpm/sync.c:979
 msgid "could not prepare transaction"
 msgstr ""
 
-#: lib/libalpm/sync.c:985
-msgid "could not commit transaction"
-msgstr ""
-
-#: lib/libalpm/sync.c:992
+#: lib/libalpm/sync.c:991
 msgid "updating database for replaced packages' dependencies"
 msgstr ""
 
-#: lib/libalpm/sync.c:1021
+#: lib/libalpm/sync.c:1020
 #, c-format
 msgid "could not update requiredby for database entry %s-%s"
 msgstr ""
 
-#: lib/libalpm/sync.c:1030
+#: lib/libalpm/sync.c:1029
 #, c-format
 msgid "could not update new database entry %s-%s"
 msgstr ""
Index: pacman-lib/src/pacman/package.c
diff -u pacman-lib/src/pacman/package.c:1.28 pacman-lib/src/pacman/package.c:1.29
--- pacman-lib/src/pacman/package.c:1.28 Wed Feb  7 20:12:48 2007
+++ pacman-lib/src/pacman/package.c Mon Feb 12 10:39:29 2007
@@ -41,7 +41,7 @@
  */
 void dump_pkg_full(pmpkg_t *pkg, int level)
 {
- const char *bdate, *type, *idate, *reason;
+ const char *bdate, *type, *idate, *reason, *descheader;
 
  if(pkg == NULL) {
  return;
@@ -64,6 +64,8 @@
  break;
  }
 
+ descheader = _("Description    : ");
+
  /* actual output */
  printf(_("Name           : %s\n"), (char *)alpm_pkg_get_name(pkg));
  printf(_("Version        : %s\n"), (char *)alpm_pkg_get_version(pkg));
@@ -90,8 +92,9 @@
  printf(_("Install Script : %s\n"),
          alpm_pkg_has_scriptlet(pkg) ?  _("Yes") : _("No"));
 
- printf(_("Description    : "));
- indentprint(alpm_pkg_get_desc(pkg), 17);
+ /* printed using a variable to make i18n safe */
+ printf("%s", descheader);
+ indentprint(alpm_pkg_get_desc(pkg), strlen(descheader));
  printf("\n");
 
  /* Print additional package info if info flag passed more than once */
@@ -107,11 +110,13 @@
  */
 void dump_pkg_sync(pmpkg_t *pkg, const char *treename)
 {
- char *md5sum, *sha1sum;
+ char *descheader, *md5sum, *sha1sum;
  if(pkg == NULL) {
  return;
  }
 
+ descheader = _("Description    : ");
+
  md5sum = (char *)alpm_pkg_get_md5sum(pkg);
  sha1sum = (char *)alpm_pkg_get_sha1sum(pkg);
 
@@ -127,8 +132,9 @@
  printf(_("Download Size  : %6.2f K\n"), (float)alpm_pkg_get_size(pkg) / 1024.0);
  printf(_("Installed Size : %6.2f K\n"), (float)alpm_pkg_get_isize(pkg) / 1024.0);
 
- printf(_("Description    : "));
- indentprint(alpm_pkg_get_desc(pkg), 17);
+ /* printed using a variable to make i18n safe */
+ printf("%s", descheader);
+ indentprint(alpm_pkg_get_desc(pkg), strlen(descheader));
  printf("\n");
 
  if (md5sum != NULL && md5sum[0] != '\0') {
Index: pacman-lib/src/pacman/po/pacman.pot
diff -u pacman-lib/src/pacman/po/pacman.pot:1.3 pacman-lib/src/pacman/po/pacman.pot:1.4
--- pacman-lib/src/pacman/po/pacman.pot:1.3 Tue Feb  6 21:22:53 2007
+++ pacman-lib/src/pacman/po/pacman.pot Mon Feb 12 10:39:29 2007
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
 "Report-Msgid-Bugs-To: [hidden email]\n"
-"POT-Creation-Date: 2007-02-06 20:43-0500\n"
+"POT-Creation-Date: 2007-02-12 10:17-0500\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <[hidden email]>\n"
@@ -16,8 +16,8 @@
 "Content-Type: text/plain; charset=CHARSET\n"
 "Content-Transfer-Encoding: 8bit\n"
 
-#: src/pacman/add.c:69 src/pacman/deptest.c:69 src/pacman/remove.c:79
-#: src/pacman/sync.c:442 src/pacman/sync.c:491
+#: src/pacman/add.c:69 src/pacman/deptest.c:57 src/pacman/remove.c:79
+#: src/pacman/sync.c:438 src/pacman/sync.c:487
 #, c-format
 msgid ""
 "       if you're sure a package manager is not already running,\n"
@@ -33,13 +33,14 @@
 msgid "failed to add target '%s' (%s)"
 msgstr ""
 
-#: src/pacman/add.c:85 src/pacman/sync.c:194 src/pacman/trans.c:86
-#: src/pacman/trans.c:93 src/pacman/trans.c:97 src/pacman/trans.c:107
-#: src/pacman/trans.c:121 src/pacman/trans.c:135 src/pacman/trans.c:147
+#: src/pacman/add.c:85 src/pacman/sync.c:194 src/pacman/trans.c:70
+#: src/pacman/trans.c:77 src/pacman/trans.c:81 src/pacman/trans.c:91
+#: src/pacman/trans.c:105 src/pacman/trans.c:119 src/pacman/trans.c:131
+#: src/pacman/trans.c:142
 msgid "done.\n"
 msgstr ""
 
-#: src/pacman/add.c:92 src/pacman/remove.c:98 src/pacman/sync.c:576
+#: src/pacman/add.c:92 src/pacman/remove.c:98 src/pacman/sync.c:572
 #, c-format
 msgid "failed to prepare transaction (%s)\n"
 msgstr ""
@@ -49,68 +50,68 @@
 msgid ":: %s: requires %s"
 msgstr ""
 
-#: src/pacman/add.c:118 src/pacman/sync.c:605
+#: src/pacman/add.c:118 src/pacman/sync.c:601
 #, c-format
 msgid ":: %s: conflicts with %s"
 msgstr ""
 
-#: src/pacman/add.c:127 src/pacman/sync.c:669
+#: src/pacman/add.c:127 src/pacman/sync.c:665
 #, c-format
 msgid "%s%s exists in \"%s\" (target) and \"%s\" (target)\n"
 msgstr ""
 
-#: src/pacman/add.c:134 src/pacman/sync.c:676
+#: src/pacman/add.c:134 src/pacman/sync.c:672
 #, c-format
 msgid "%s: %s%s exists in filesystem\n"
 msgstr ""
 
-#: src/pacman/add.c:141 src/pacman/sync.c:683 src/pacman/sync.c:689
+#: src/pacman/add.c:141 src/pacman/sync.c:679 src/pacman/sync.c:685
 msgid ""
 "\n"
 "errors occurred, no packages were upgraded.\n"
 msgstr ""
 
-#: src/pacman/add.c:151 src/pacman/sync.c:612
+#: src/pacman/add.c:151 src/pacman/sync.c:608
 #, c-format
 msgid ":: %.1f MB required, have %.1f MB"
 msgstr ""
 
-#: src/pacman/add.c:164 src/pacman/remove.c:138 src/pacman/sync.c:662
+#: src/pacman/add.c:164 src/pacman/remove.c:138 src/pacman/sync.c:658
 #, c-format
 msgid "failed to commit transaction (%s)\n"
 msgstr ""
 
-#: src/pacman/add.c:174 src/pacman/remove.c:148 src/pacman/sync.c:484
-#: src/pacman/sync.c:705
+#: src/pacman/add.c:174 src/pacman/remove.c:148 src/pacman/sync.c:480
+#: src/pacman/sync.c:701
 #, c-format
 msgid "failed to release transaction (%s)\n"
 msgstr ""
 
-#: src/pacman/deptest.c:82
+#: src/pacman/deptest.c:70
 msgid "memory allocation failure\n"
 msgstr ""
 
-#: src/pacman/deptest.c:93
+#: src/pacman/deptest.c:81
 #, c-format
 msgid "add target %s\n"
 msgstr ""
 
-#: src/pacman/deptest.c:96
+#: src/pacman/deptest.c:84
 #, c-format
 msgid "could not add target (%s)\n"
 msgstr ""
 
-#: src/pacman/deptest.c:115
+#: src/pacman/deptest.c:103
 #, c-format
 msgid "requires: %s"
 msgstr ""
 
-#: src/pacman/deptest.c:139
+#: src/pacman/deptest.c:127
 #, c-format
 msgid "conflict: %s"
 msgstr ""
 
-#: src/pacman/deptest.c:153 src/pacman/deptest.c:171
+#: src/pacman/deptest.c:141 src/pacman/deptest.c:159
 #, c-format
 msgid "could not release transaction (%s)"
 msgstr ""
@@ -135,11 +136,11 @@
 msgid "function"
 msgstr ""
 
-#: src/pacman/log.c:199
+#: src/pacman/log.c:201
 msgid "Y"
 msgstr ""
 
-#: src/pacman/log.c:199
+#: src/pacman/log.c:201
 msgid "YES"
 msgstr ""
 
@@ -163,12 +164,12 @@
 msgid "Unknown"
 msgstr ""
 
-#: src/pacman/package.c:68 src/pacman/package.c:118
+#: src/pacman/package.c:68 src/pacman/package.c:119
 #, c-format
 msgid "Name           : %s\n"
 msgstr ""
 
-#: src/pacman/package.c:69 src/pacman/package.c:119
+#: src/pacman/package.c:69 src/pacman/package.c:120
 #, c-format
 msgid "Version        : %s\n"
 msgstr ""
@@ -182,19 +183,19 @@
 msgid "License        :"
 msgstr ""
 
-#: src/pacman/package.c:72 src/pacman/package.c:120
+#: src/pacman/package.c:72 src/pacman/package.c:121
 msgid "Groups         :"
 msgstr ""
 
-#: src/pacman/package.c:73 src/pacman/package.c:121
+#: src/pacman/package.c:73 src/pacman/package.c:122
 msgid "Provides       :"
 msgstr ""
 
-#: src/pacman/package.c:74 src/pacman/package.c:122
+#: src/pacman/package.c:74 src/pacman/package.c:123
 msgid "Depends On     :"
 msgstr ""
 
-#: src/pacman/package.c:75 src/pacman/package.c:123
+#: src/pacman/package.c:75 src/pacman/package.c:124
 msgid "Removes        :"
 msgstr ""
 
@@ -202,7 +203,7 @@
 msgid "Required By    :"
 msgstr ""
 
-#: src/pacman/package.c:80 src/pacman/package.c:124
+#: src/pacman/package.c:80 src/pacman/package.c:125
 msgid "Conflicts With :"
 msgstr ""
 
@@ -254,61 +255,66 @@
 msgid "No"
 msgstr ""
 
-#: src/pacman/package.c:93 src/pacman/package.c:129
+#: src/pacman/package.c:93 src/pacman/package.c:130
 #, c-format
 msgid "Description    : "
 msgstr ""
 
-#: src/pacman/package.c:117
+#: src/pacman/package.c:118
 #, c-format
 msgid "Repository     : %s\n"
 msgstr ""
 
-#: src/pacman/package.c:125
+#: src/pacman/package.c:126
 msgid "Replaces       :"
 msgstr ""
 
-#: src/pacman/package.c:126
+#: src/pacman/package.c:127
 #, c-format
 msgid "Download Size  : %6.2f K\n"
 msgstr ""
 
-#: src/pacman/package.c:127
+#: src/pacman/package.c:128
 #, c-format
 msgid "Installed Size : %6.2f K\n"
 msgstr ""
 
-#: src/pacman/package.c:134
+#: src/pacman/package.c:135
 #, c-format
 msgid "MD5 Sum        : %s"
 msgstr ""
 
-#: src/pacman/package.c:137
+#: src/pacman/package.c:138
 #, c-format
 msgid "SHA1 Sum       : %s"
 msgstr ""
 
-#: src/pacman/package.c:168
+#: src/pacman/package.c:149
+#, c-format
+msgid "Backup Files :\n"
+msgstr ""
+
+#: src/pacman/package.c:169
 #, c-format
 msgid "error calculating checksums for %s\n"
 msgstr ""
 
-#: src/pacman/package.c:181
+#: src/pacman/package.c:182
 #, c-format
 msgid "MODIFIED\t%s\n"
 msgstr ""
 
-#: src/pacman/package.c:183
+#: src/pacman/package.c:184
 #, c-format
 msgid "Not Modified\t%s\n"
 msgstr ""
 
-#: src/pacman/package.c:188
+#: src/pacman/package.c:189
 #, c-format
 msgid "MISSING\t\t%s\n"
 msgstr ""
 
-#: src/pacman/package.c:221
+#: src/pacman/package.c:222
 #, c-format
 msgid "No changelog available for '%s'.\n"
 msgstr ""
@@ -330,27 +336,27 @@
 
 #: src/pacman/pacman.c:91
 #, c-format
-msgid "        %s {-R --remove}  [options] <package>\n"
+msgid "        %s {-F --freshen} [options] <file>\n"
 msgstr ""
 
 #: src/pacman/pacman.c:92
 #, c-format
-msgid "        %s {-U --upgrade} [options] <file>\n"
+msgid "        %s {-Q --query}   [options] [package]\n"
 msgstr ""
 
 #: src/pacman/pacman.c:93
 #, c-format
-msgid "        %s {-F --freshen} [options] <file>\n"
+msgid "        %s {-R --remove}  [options] <package>\n"
 msgstr ""
 
 #: src/pacman/pacman.c:94
 #, c-format
-msgid "        %s {-Q --query}   [options] [package]\n"
+msgid "        %s {-S --sync}    [options] [package]\n"
 msgstr ""
 
 #: src/pacman/pacman.c:95
 #, c-format
-msgid "        %s {-S --sync}    [options] [package]\n"
+msgid "        %s {-U --upgrade} [options] <file>\n"
 msgstr ""
 
 #: src/pacman/pacman.c:96
@@ -374,12 +380,12 @@
 #: src/pacman/pacman.c:101 src/pacman/pacman.c:107 src/pacman/pacman.c:118
 #: src/pacman/pacman.c:138
 #, c-format
-msgid "  -d, --nodeps        skip dependency checks\n"
+msgid "  -d, --nodeps         skip dependency checks\n"
 msgstr ""
 
 #: src/pacman/pacman.c:102 src/pacman/pacman.c:119 src/pacman/pacman.c:140
 #, c-format
-msgid "  -f, --force         force install, overwrite conflicting files\n"
+msgid "  -f, --force          force install, overwrite conflicting files\n"
 msgstr ""
 
 #: src/pacman/pacman.c:104
@@ -390,23 +396,24 @@
 #: src/pacman/pacman.c:106
 #, c-format
 msgid ""
-"  -c, --cascade       remove packages and all packages that depend on them\n"
+"  -c, --cascade        remove packages and all packages that depend on them\n"
 msgstr ""
 
 #: src/pacman/pacman.c:108
 #, c-format
-msgid "  -k, --dbonly        only remove database entry, do not remove files\n"
+msgid ""
+"  -k, --dbonly         only remove database entry, do not remove files\n"
 msgstr ""
 
 #: src/pacman/pacman.c:109
 #, c-format
-msgid "  -n, --nosave        remove configuration files as well\n"
+msgid "  -n, --nosave         remove configuration files as well\n"
 msgstr ""
 
 #: src/pacman/pacman.c:110
 #, c-format
 msgid ""
-"  -s, --recursive     remove dependencies also (that won't break packages)\n"
+"  -s, --recursive      remove dependencies also (that won't break packages)\n"
 msgstr ""
 
 #: src/pacman/pacman.c:113
@@ -426,65 +433,65 @@
 
 #: src/pacman/pacman.c:123
 #, c-format
-msgid "  -c, --changelog     view the changelog of a package\n"
+msgid "  -c, --changelog      view the changelog of a package\n"
 msgstr ""
 
 #: src/pacman/pacman.c:124
 #, c-format
 msgid ""
-"  -e, --orphans       list all packages installed as dependencies but no "
+"  -e, --orphans        list all packages installed as dependencies but no "
 "longer\n"
 msgstr ""
 
 #: src/pacman/pacman.c:125
 #, c-format
-msgid "                      required by any package\n"
+msgid "                       required by any package\n"
 msgstr ""
 
 #: src/pacman/pacman.c:126 src/pacman/pacman.c:141
 #, c-format
-msgid "  -g, --groups        view all members of a package group\n"
+msgid "  -g, --groups         view all members of a package group\n"
 msgstr ""
 
 #: src/pacman/pacman.c:127 src/pacman/pacman.c:142
 #, c-format
-msgid "  -i, --info          view package information\n"
+msgid "  -i, --info           view package information\n"
 msgstr ""
 
 #: src/pacman/pacman.c:128
 #, c-format
-msgid "  -l, --list          list the contents of the queried package\n"
+msgid "  -l, --list           list the contents of the queried package\n"
 msgstr ""
 
 #: src/pacman/pacman.c:129
 #, c-format
 msgid ""
-"  -m, --foreign       list all packages that were not found in the sync db"
+"  -m, --foreign        list all packages that were not found in the sync db"
 "(s)\n"
 msgstr ""
 
 #: src/pacman/pacman.c:130
 #, c-format
-msgid "  -o, --owns <file>   query the package that owns <file>\n"
+msgid "  -o, --owns <file>    query the package that owns <file>\n"
 msgstr ""
 
 #: src/pacman/pacman.c:131
 #, c-format
 msgid ""
-"  -p, --file          query the package file [package] instead of the "
+"  -p, --file           query the package file [package] instead of the "
 "database\n"
 msgstr ""
 
 #: src/pacman/pacman.c:132
 #, c-format
 msgid ""
-"  -s, --search        search locally-installed packages for matching "
+"  -s, --search         search locally-installed packages for matching "
 "strings\n"
 msgstr ""
 
 #: src/pacman/pacman.c:133
 #, c-format
-msgid "  -u, --upgrades      list all packages that can be upgraded\n"
+msgid "  -u, --upgrades       list all packages that can be upgraded\n"
 msgstr ""
 
 #: src/pacman/pacman.c:135
@@ -495,149 +502,163 @@
 #: src/pacman/pacman.c:137
 #, c-format
 msgid ""
-"  -c, --clean         remove old packages from cache directory (use -cc for "
+"  -c, --clean          remove old packages from cache directory (use -cc for "
 "all)\n"
 msgstr ""
 
 #: src/pacman/pacman.c:139
 #, c-format
-msgid "  -e, --dependsonly   install dependencies only\n"
+msgid "  -e, --dependsonly    install dependencies only\n"
 msgstr ""
 
 #: src/pacman/pacman.c:143
 #, c-format
 msgid ""
-"  -p, --print-uris    print out URIs for given packages and their "
+"  -p, --print-uris     print out URIs for given packages and their "
 "dependencies\n"
 msgstr ""
 
 #: src/pacman/pacman.c:144
 #, c-format
-msgid "  -s, --search        search remote repositories for matching strings\n"
+msgid ""
+"  -s, --search         search remote repositories for matching strings\n"
 msgstr ""
 
 #: src/pacman/pacman.c:145
 #, c-format
-msgid "  -u, --sysupgrade    upgrade all packages that are out of date\n"
+msgid "  -u, --sysupgrade     upgrade all packages that are out of date\n"
 msgstr ""
 
 #: src/pacman/pacman.c:146
 #, c-format
 msgid ""
-"  -w, --downloadonly  download packages but do not install/upgrade anything\n"
+"  -w, --downloadonly   download packages but do not install/upgrade "
+"anything\n"
 msgstr ""
 
 #: src/pacman/pacman.c:147
 #, c-format
 msgid ""
-"  -y, --refresh       download fresh package databases from the server\n"
+"  -y, --refresh        download fresh package databases from the server\n"
 msgstr ""
 
 #: src/pacman/pacman.c:148
 #, c-format
 msgid ""
-"      --ignore <pkg>  ignore a package upgrade (can be used more than once)\n"
+"      --ignore <pkg>   ignore a package upgrade (can be used more than "
+"once)\n"
 msgstr ""
 
 #: src/pacman/pacman.c:150
 #, c-format
-msgid "      --config <path> set an alternate configuration file\n"
+msgid "      --config <path>  set an alternate configuration file\n"
 msgstr ""
 
 #: src/pacman/pacman.c:151
 #, c-format
-msgid "      --noconfirm     do not ask for anything confirmation\n"
+msgid "      --noconfirm      do not ask for anything confirmation\n"
 msgstr ""
 
 #: src/pacman/pacman.c:152
 #, c-format
-msgid "      --ask  <number> pre-specify answers for questions (see manpage)\n"
+msgid ""
+"      --ask <number>   pre-specify answers for questions (see manpage)\n"
 msgstr ""
 
 #: src/pacman/pacman.c:153
 #, c-format
 msgid ""
-"      --noprogressbar do not show a progress bar when downloading files\n"
+"      --noprogressbar  do not show a progress bar when downloading files\n"
 msgstr ""
 
 #: src/pacman/pacman.c:154
 #, c-format
 msgid ""
-"      --noscriptlet   do not execute the install scriptlet if there is any\n"
+"      --noscriptlet    do not execute the install scriptlet if there is any\n"
 msgstr ""
 
 #: src/pacman/pacman.c:155
 #, c-format
-msgid "  -v, --verbose       be verbose\n"
+msgid "  -v, --verbose        be verbose\n"
 msgstr ""
 
 #: src/pacman/pacman.c:156
 #, c-format
-msgid "  -r, --root <path>   set an alternate installation root\n"
+msgid "  -r, --root <path>    set an alternate installation root\n"
 msgstr ""
 
 #: src/pacman/pacman.c:157
 #, c-format
-msgid "  -b, --dbpath <path> set an alternate database location\n"
+msgid "  -b, --dbpath <path>  set an alternate database location\n"
 msgstr ""
 
-#: src/pacman/pacman.c:170
+#: src/pacman/pacman.c:158
 #, c-format
-msgid "                       This program may be freely redistributed under\n"
+msgid "      --cachedir <dir> set an alternate database location\n"
 msgstr ""
 
 #: src/pacman/pacman.c:171
 #, c-format
+msgid "                       This program may be freely redistributed under\n"
+msgstr ""
+
+#: src/pacman/pacman.c:172
+#, c-format
 msgid "                       the terms of the GNU General Public License\n"
 msgstr ""
 
-#: src/pacman/pacman.c:298
+#: src/pacman/pacman.c:299
+#, c-format
+msgid "'%s' is not a valid debug level"
+msgstr ""
+
+#: src/pacman/pacman.c:315
 #, c-format
-msgid "error: '%s' is not a valid debug level"
+msgid "'%s' is not a valid cache directory\n"
 msgstr ""
 
-#: src/pacman/pacman.c:334
+#: src/pacman/pacman.c:341
 #, c-format
-msgid "error: '%s' is not a valid db path\n"
+msgid "'%s' is not a valid db path\n"
 msgstr ""
 
-#: src/pacman/pacman.c:364
+#: src/pacman/pacman.c:371
 #, c-format
-msgid "error: '%s' is not a valid root path\n"
+msgid "'%s' is not a valid root path\n"
 msgstr ""
 
-#: src/pacman/pacman.c:391
+#: src/pacman/pacman.c:398
 msgid "only one operation may be used at a time\n"
 msgstr ""
 
-#: src/pacman/pacman.c:454
+#: src/pacman/pacman.c:461
 #, c-format
 msgid "failed to initilize alpm library (%s)\n"
 msgstr ""
 
-#: src/pacman/pacman.c:487
+#: src/pacman/pacman.c:494
 msgid "you cannot perform this operation unless you are root.\n"
 msgstr ""
 
-#: src/pacman/pacman.c:503
+#: src/pacman/pacman.c:510
 #, c-format
 msgid "failed to parse config (%s)\n"
 msgstr ""
 
-#: src/pacman/pacman.c:513 src/pacman/remove.c:125 src/pacman/util.c:316
+#: src/pacman/pacman.c:520 src/pacman/remove.c:125 src/pacman/util.c:323
 msgid "Targets:"
 msgstr ""
 
-#: src/pacman/pacman.c:519
+#: src/pacman/pacman.c:526
 #, c-format
 msgid "could not register 'local' database (%s)\n"
 msgstr ""
 
-#: src/pacman/pacman.c:526
+#: src/pacman/pacman.c:533
 msgid "no targets specified (use -h for help)\n"
 msgstr ""
 
-#: src/pacman/pacman.c:539
+#: src/pacman/pacman.c:546
 msgid "no operation specified (use -h for help)\n"
 msgstr ""
 
@@ -655,38 +676,38 @@
 msgid "No package owns %s\n"
 msgstr ""
 
-#: src/pacman/query.c:122 src/pacman/sync.c:413
+#: src/pacman/query.c:119 src/pacman/sync.c:409
 msgid "no usable package repositories configured.\n"
 msgstr ""
 
-#: src/pacman/query.c:128
+#: src/pacman/query.c:125
 msgid "Checking for package upgrades..."
 msgstr ""
 
-#: src/pacman/query.c:135
+#: src/pacman/query.c:132
 msgid "no upgrades found"
 msgstr ""
 
-#: src/pacman/query.c:173
+#: src/pacman/query.c:170
 #, c-format
 msgid "group \"%s\" was not found\n"
 msgstr ""
 
-#: src/pacman/query.c:184
+#: src/pacman/query.c:181
 msgid "no package file was specified for --file\n"
 msgstr ""
 
-#: src/pacman/query.c:188
+#: src/pacman/query.c:185
 #, c-format
 msgid "failed to load package '%s' (%s)\n"
 msgstr ""
 
-#: src/pacman/query.c:226 src/pacman/query.c:263
+#: src/pacman/query.c:223 src/pacman/query.c:255
 #, c-format
 msgid "package \"%s\" not found\n"
 msgstr ""
 
-#: src/pacman/remove.c:58 src/pacman/sync.c:528
+#: src/pacman/remove.c:58 src/pacman/sync.c:524
 #, c-format
 msgid ":: group %s:\n"
 msgstr ""
@@ -700,7 +721,7 @@
 msgid ":: Remove %s from group %s? [Y/n] "
 msgstr ""
 
-#: src/pacman/remove.c:77 src/pacman/sync.c:440 src/pacman/sync.c:489
+#: src/pacman/remove.c:77 src/pacman/sync.c:436 src/pacman/sync.c:485
 #, c-format
 msgid "failed to init transaction (%s)\n"
 msgstr ""
@@ -764,229 +785,221 @@
 msgid " %s is up to date\n"
 msgstr ""
 
-#: src/pacman/sync.c:341
+#: src/pacman/sync.c:337
 #, c-format
 msgid "package \"%s\" was not found.\n"
 msgstr ""
 
-#: src/pacman/sync.c:378
+#: src/pacman/sync.c:374
 #, c-format
 msgid "repository \"%s\" was not found.\n"
 msgstr ""
 
-#: src/pacman/sync.c:450
+#: src/pacman/sync.c:446
 msgid ":: Synchronizing package databases...\n"
 msgstr ""
 
-#: src/pacman/sync.c:451
+#: src/pacman/sync.c:447
 msgid "synchronizing package lists"
 msgstr ""
 
-#: src/pacman/sync.c:453
+#: src/pacman/sync.c:449
 msgid "failed to synchronize any databases"
 msgstr ""
 
-#: src/pacman/sync.c:459
+#: src/pacman/sync.c:455
 msgid ":: Starting full system upgrade...\n"
 msgstr ""
 
-#: src/pacman/sync.c:460
+#: src/pacman/sync.c:456
 msgid "starting full system upgrade"
 msgstr ""
 
-#: src/pacman/sync.c:478
+#: src/pacman/sync.c:474
 msgid ""
 "\n"
 ":: pacman has detected a newer version of the \"pacman\" package.\n"
 msgstr ""
 
-#: src/pacman/sync.c:479
+#: src/pacman/sync.c:475
 msgid ":: It is recommended that you allow pacman to upgrade itself\n"
 msgstr ""
 
-#: src/pacman/sync.c:480
+#: src/pacman/sync.c:476
 msgid ":: first, then you can re-run the operation with the newer version.\n"
 msgstr ""
 
-#: src/pacman/sync.c:482
+#: src/pacman/sync.c:478
 msgid ":: Upgrade pacman first? [Y/n] "
 msgstr ""
 
-#: src/pacman/sync.c:497
+#: src/pacman/sync.c:493
 #, c-format
 msgid "pacman: %s\n"
 msgstr ""
 
-#: src/pacman/sync.c:517
+#: src/pacman/sync.c:513
 #, c-format
 msgid "'%s': %s\n"
 msgstr ""
 
-#: src/pacman/sync.c:532
+#: src/pacman/sync.c:528
 msgid ":: Install whole content? [Y/n] "
 msgstr ""
 
-#: src/pacman/sync.c:539
+#: src/pacman/sync.c:535
 #, c-format
 msgid ":: Install %s from group %s? [Y/n] "
 msgstr ""
 
-#: src/pacman/sync.c:563
+#: src/pacman/sync.c:559
 #, c-format
 msgid "'%s': not found in sync db\n"
 msgstr ""
 
-#: src/pacman/sync.c:583
+#: src/pacman/sync.c:579
 msgid "requires"
 msgstr ""
 
-#: src/pacman/sync.c:583
+#: src/pacman/sync.c:579
 msgid "is required by"
 msgstr ""
 
-#: src/pacman/sync.c:625
+#: src/pacman/sync.c:621
 msgid "local database is up to date\n"
 msgstr ""
 
-#: src/pacman/sync.c:634
+#: src/pacman/sync.c:630
 msgid ""
 "\n"
 "Beginning download...\n"
 msgstr ""
 
-#: src/pacman/sync.c:638
+#: src/pacman/sync.c:634
 msgid "Proceed with download? [Y/n] "
 msgstr ""
 
-#: src/pacman/sync.c:646
+#: src/pacman/sync.c:642
 msgid ""
 "\n"
 "Beginning upgrade process...\n"
 msgstr ""
 
-#: src/pacman/sync.c:650
+#: src/pacman/sync.c:646
 msgid "Proceed with installation? [Y/n] "
 msgstr ""
 
-#: src/pacman/trans.c:57
-msgid "] 100%    LOCAL "
-msgstr ""
-
-#: src/pacman/trans.c:68
+#: src/pacman/trans.c:52
 msgid "checking dependencies... "
 msgstr ""
 
-#: src/pacman/trans.c:72
+#: src/pacman/trans.c:56
 msgid "checking for file conflicts... "
 msgstr ""
 
-#: src/pacman/trans.c:76
+#: src/pacman/trans.c:60
 msgid "cleaning up... "
 msgstr ""
 
-#: src/pacman/trans.c:79
+#: src/pacman/trans.c:63
 msgid "resolving dependencies... "
 msgstr ""
 
-#: src/pacman/trans.c:82
+#: src/pacman/trans.c:66
 msgid "looking for inter-conflicts... "
 msgstr ""
 
-#: src/pacman/trans.c:102
+#: src/pacman/trans.c:86
 #, c-format
 msgid "installing %s... "
 msgstr ""
 
-#: src/pacman/trans.c:109
+#: src/pacman/trans.c:93
 #, c-format
 msgid "installed %s (%s)"
 msgstr ""
 
-#: src/pacman/trans.c:116
+#: src/pacman/trans.c:100
 #, c-format
 msgid "removing %s... "
 msgstr ""
 
-#: src/pacman/trans.c:123
+#: src/pacman/trans.c:107
 #, c-format
 msgid "removed %s (%s)"
 msgstr ""
 
-#: src/pacman/trans.c:130
+#: src/pacman/trans.c:114
 #, c-format
 msgid "upgrading %s... "
 msgstr ""
 
-#: src/pacman/trans.c:137
+#: src/pacman/trans.c:121
 #, c-format
 msgid "upgraded %s (%s -> %s)"
 msgstr ""
 
-#: src/pacman/trans.c:144
+#: src/pacman/trans.c:128
 msgid "checking package integrity... "
 msgstr ""
 
-#: src/pacman/trans.c:158
-msgid " done.\n"
-msgstr ""
-
-#: src/pacman/trans.c:160
-msgid " failed.\n"
+#: src/pacman/trans.c:144
+msgid "failed.\n"
 msgstr ""
 
-#: src/pacman/trans.c:167
+#: src/pacman/trans.c:151
 #, c-format
 msgid ":: Retrieving packages from %s...\n"
 msgstr ""
 
-#: src/pacman/trans.c:190
+#: src/pacman/trans.c:171
 #, c-format
 msgid ":: %s requires %s, but it is in IgnorePkg. Install anyway? [Y/n] "
 msgstr ""
 
-#: src/pacman/trans.c:204
+#: src/pacman/trans.c:185
 #, c-format
 msgid ":: %s is designated as a HoldPkg. Remove anyway? [Y/n] "
 msgstr ""
 
-#: src/pacman/trans.c:217
+#: src/pacman/trans.c:198
 #, c-format
 msgid ":: Replace %s with %s/%s? [Y/n] "
 msgstr ""
 
-#: src/pacman/trans.c:232
+#: src/pacman/trans.c:213
 #, c-format
 msgid ":: %s conflicts with %s. Remove %s? [Y/n] "
 msgstr ""
 
-#: src/pacman/trans.c:248
+#: src/pacman/trans.c:229
 #, c-format
 msgid ":: %s-%s: local version is newer. Upgrade anyway? [Y/n] "
 msgstr ""
 
-#: src/pacman/trans.c:266
+#: src/pacman/trans.c:247
 #, c-format
 msgid ":: %s-%s: local version is up to date. Upgrade anyway? [Y/n] "
 msgstr ""
 
-#: src/pacman/trans.c:284
+#: src/pacman/trans.c:265
 #, c-format
 msgid ":: Archive %s is corrupted. Do you want to delete it? [Y/n] "
 msgstr ""
 
-#: src/pacman/trans.c:333
+#: src/pacman/trans.c:314
 msgid "installing"
 msgstr ""
 
-#: src/pacman/trans.c:336
+#: src/pacman/trans.c:317
 msgid "upgrading"
 msgstr ""
 
-#: src/pacman/trans.c:339
+#: src/pacman/trans.c:320
 msgid "removing"
 msgstr ""
 
-#: src/pacman/trans.c:342
+#: src/pacman/trans.c:323
 msgid "checking for file conflicts"
 msgstr ""
 
@@ -995,25 +1008,25 @@
 msgid "None\n"
 msgstr ""
 
-#: src/pacman/util.c:303
+#: src/pacman/util.c:310
 msgid "Remove:"
 msgstr ""
 
-#: src/pacman/util.c:311
+#: src/pacman/util.c:318
 #, c-format
 msgid ""
 "\n"
 "Total Removed Size:   %.2f MB\n"
 msgstr ""
 
-#: src/pacman/util.c:322
+#: src/pacman/util.c:329
 #, c-format
 msgid ""
 "\n"
 "Total Package Size:   %.2f MB\n"
 msgstr ""
 
-#: src/pacman/util.c:329
+#: src/pacman/util.c:336
 #, c-format
 msgid "Total Installed Size:   %.2f MB\n"
 msgstr ""

_______________________________________________
pacman-dev mailing list
[hidden email]
http://www.archlinux.org/mailman/listinfo/pacman-dev